var isReady = false;
var onReadyCallbacks = [];
var isServiceReady = false;
var onServiceReadyCallbacks = [];
var __uniConfig = {
    "pages": ["pages/new/new", "pages/hot/hot", "pages/detail/detail", "pages/center/center", "pages/login/login", "pages/comic/comic", "pages/search/search", "pages/collect/collect", "pages/donation/donation", "pages/uni-feedback/uni-feedback", "pages/history/history", "pages/register/register", "pages/forget-pwd/forget-pwd", "pages/help/help", "pages/set/set", "pages/test/test", "pages/ad-video/ad-video", "pages/webview/webview", "pages/classify/classify", "pages/ohmanhua/ohmanhua", "pages/ohmanhuaSearch/ohmanhuaSearch"],
    "window": {
        "navigationBarTextStyle": "white",
        "navigationBarTitleText": "免漫",
        "navigationBarBackgroundColor": "#e54d28",
        "backgroundColor": "#FFFFFF",
        "pageOrientation": "portrait"
    },
    "tabBar": {
        "color": "#444444",
        "selectedColor": "#e54d28",
        "borderStyle": "black",
        "backgroundColor": "#ffffff",
        "list": [{
            "pagePath": "pages/new/new",
            "iconPath": "static/index-0.png",
            "selectedIconPath": "static/index-1.png",
            "text": "最新"
        }, {
            "pagePath": "pages/hot/hot",
            "iconPath": "static/hot-0.png",
            "selectedIconPath": "static/hot-1.png",
            "text": "推荐"
        }, {
            "pagePath": "pages/classify/classify",
            "iconPath": "static/logo-y.png",
            "selectedIconPath": "static/logo-y.png",
            "text": "分类"
        }, {
            "pagePath": "pages/collect/collect",
            "iconPath": "static/shop-0.png",
            "selectedIconPath": "static/shop-1.png",
            "text": "收藏"
        }, {
            "pagePath": "pages/center/center",
            "iconPath": "static/center-0.png",
            "selectedIconPath": "static/center-1.png",
            "text": "我的"
        }]
    },
    "networkTimeout": {
        "request": 20000,
        "connectSocket": 60000,
        "uploadFile": 60000,
        "downloadFile": 60000
    },
    "nvueCompiler": "uni-app",
    "nvueStyleCompiler": "weex",
    "renderer": "auto",
    "splashscreen": {
        "alwaysShowBeforeRender": true,
        "autoclose": false
    },
    "appname": "免漫",
    "compilerVersion": "3.5.3",
    "entryPagePath": "pages/new/new"
};
var __uniRoutes = [{
    "path": "/pages/new/new",
    "meta": {
        "isQuit": true,
        "isNVue": true,
        "isTabBar": true
    },
    "window": {
        "navigationBarTitleText": "今天更新",
        "enablePullDownRefresh": false,
        "disableScroll": true,
        "titleNView": {
            "buttons": [{
                "float": "right",
                "text": "",
                "fontSrc": "/static/font/iconfont.ttf",
                "fontSize": "20px"
            }]
        }
    }
}, {
    "path": "/pages/hot/hot",
    "meta": {
        "isQuit": true,
        "isNVue": true,
        "isTabBar": true
    },
    "window": {
        "navigationBarTitleText": "最热",
        "enablePullDownRefresh": false,
        "disableScroll": true,
        "titleNView": {
            "buttons": [{
                "float": "right",
                "text": "",
                "fontSrc": "/static/font/iconfont.ttf",
                "fontSize": "20px"
            }]
        }
    }
}, {
    "path": "/pages/detail/detail",
    "meta": {
        "isNVue": true
    },
    "window": {
        "navigationBarTitleText": "详情",
        "disableScroll": true,
        "bounce": false,
        "titleNView": false
    }
}, {
    "path": "/pages/center/center",
    "meta": {
        "isQuit": true,
        "isNVue": true,
        "isTabBar": true
    },
    "window": {
        "navigationBarTitleText": "个人中心",
        "enablePullDownRefresh": false,
        "disableScroll": true,
        "bounce": false,
        "titleNView": false
    }
}, {
    "path": "/pages/login/login",
    "meta": {
        "isNVue": true
    },
    "window": {
        "disableScroll": true,
        "navigationBarTitleText": "登录"
    }
}, {
    "path": "/pages/comic/comic",
    "meta": {
        "isNVue": true
    },
    "window": {
        "disableScroll": true,
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "详情",
        "bounce": "none",
        "titleNView": {
            "type": "transparent"
        }
    }
}, {
    "path": "/pages/search/search",
    "meta": {
        "isNVue": true
    },
    "window": {
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "搜索",
        "enablePullDownRefresh": false,
        "disableScroll": true,
        "bounce": false,
        "titleNView": false
    }
}, {
    "path": "/pages/collect/collect",
    "meta": {
        "isQuit": true,
        "isNVue": true,
        "isTabBar": true
    },
    "window": {
        "navigationBarTitleText": "收藏",
        "enablePullDownRefresh": false,
        "disableScroll": true,
        "navigationBarTextStyle": "black",
        "bounce": false,
        "titleNView": false
    }
},  {
    "path": "/pages/history/history",
    "meta": {
        "isNVue": true
    },
    "window": {
        "disableScroll": true,
        "navigationBarTitleText": "历史",
        "bounce": "none",
        "titleNView": "none"
    }
}, {
    "path": "/pages/register/register",
    "meta": {
        "isNVue": true
    },
    "window": {
        "disableScroll": true,
        "navigationBarTitleText": "注册"
    }
}, {
    "path": "/pages/forget-pwd/forget-pwd",
    "meta": {
        "isNVue": true
    },
    "window": {
        "disableScroll": true,
        "navigationBarTitleText": "忘记密码"
    }
}, {
    "path": "/pages/help/help",
    "meta": {
        "isNVue": true
    },
    "window": {
        "disableScroll": false,
        "navigationBarTitleText": "帮助"
    }
}, {
    "path": "/pages/set/set",
    "meta": {
        "isNVue": true
    },
    "window": {
        "disableScroll": true,
        "navigationBarTitleText": "设置"
    }
}, {
    "path": "/pages/test/test",
    "meta": {
        "isNVue": true
    },
    "window": {}
}, {
    "path": "/pages/webview/webview",
    "meta": {
        "isNVue": true
    },
    "window": {
        "titleNView": {
            "buttons": [{
                "float": "right",
                "text": "",
                "fontSrc": "/static/font/iconfont.ttf",
                "fontSize": "20px"
            }]
        }
    }
}, {
    "path": "/pages/classify/classify",
    "meta": {
        "isQuit": true,
        "isNVue": true,
        "isTabBar": true
    },
    "window": {
        "navigationBarTextStyle": "black",
        "disableScroll": true,
        "navigationBarTitleText": "分类",
        "bounce": false,
        "titleNView": false
    }
}, {
    "path": "/pages/ohmanhua/ohmanhua",
    "meta": {
        "isNVue": true
    },
    "window": {
        "enablePullDownRefresh": false,
        "disableScroll": true,
        "bounce": false,
        "titleNView": false
    }
}, {
    "path": "/pages/ohmanhuaSearch/ohmanhuaSearch",
    "meta": {
        "isNVue": true
    },
    "window": {
        "enablePullDownRefresh": false,
        "disableScroll": true,
        "bounce": false,
        "titleNView": false
    }
}];
__uniConfig.onReady = function(callback) {
    if (__uniConfig.ready) {
        callback()
    } else {
        onReadyCallbacks.push(callback)
    }
};
Object.defineProperty(__uniConfig, "ready", {
    get: function() {
        return isReady
    },
    set: function(val) {
        isReady = val;
        if (!isReady) {
            return
        }
        const callbacks = onReadyCallbacks.slice(0);
        onReadyCallbacks.length = 0;
        callbacks.forEach(function(callback) {
            callback()
        })
    }
});
__uniConfig.onServiceReady = function(callback) {
    if (__uniConfig.serviceReady) {
        callback()
    } else {
        onServiceReadyCallbacks.push(callback)
    }
};
Object.defineProperty(__uniConfig, "serviceReady", {
    get: function() {
        return isServiceReady
    },
    set: function(val) {
        isServiceReady = val;
        if (!isServiceReady) {
            return
        }
        const callbacks = onServiceReadyCallbacks.slice(0);
        onServiceReadyCallbacks.length = 0;
        callbacks.forEach(function(callback) {
            callback()
        })
    }
});
service.register("uni-app-config", {
    create(a, b, c) {
        if (!__uniConfig.viewport) {
            var d = b.weex.config.env.scale,
                e = b.weex.config.env.deviceWidth,
                f = Math.ceil(e / d);
            Object.assign(__uniConfig, {
                viewport: f,
                defaultFontSize: Math.round(f / 20)
            })
        }
        return {
            instance: {
                __uniConfig: __uniConfig,
                __uniRoutes: __uniRoutes,
                global: void 0,
                window: void 0,
                document: void 0,
                frames: void 0,
                self: void 0,
                location: void 0,
                navigator: void 0,
                localStorage: void 0,
                history: void 0,
                Caches: void 0,
                screen: void 0,
                alert: void 0,
                confirm: void 0,
                prompt: void 0,
                fetch: void 0,
                XMLHttpRequest: void 0,
                WebSocket: void 0,
                webkit: void 0,
                print: void 0
            }
        }
    }
});